List sites
curl --request GET \
--url https://app.nautilus.co/api/v1/sites \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.nautilus.co/api/v1/sites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.nautilus.co/api/v1/sites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organizationId": "<string>",
"filters": {},
"data": [
{
"siteId": "<string>",
"name": "<string>",
"location": "<string>",
"commonName": "<string>",
"contact": {
"phone": "<string>",
"email": "<string>",
"websiteUrl": "<string>"
},
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123
},
"timezone": "<string>",
"active": true
}
],
"pagination": {
"limit": 123,
"hasMore": true,
"nextCursor": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Sites
List sites
Returns only resources owned by the organization encoded in the tenant API key.
GET
/
api
/
v1
/
sites
List sites
Authorizations
Clerk tenant API key. The organizationId encoded by the key is the exact and only tenant scope.
Query Parameters
Page size. Invalid values use 100; values above 500 are capped at 500.
Required range:
1 <= x <= 500Opaque continuation token returned by this sites collection. Cursors are bound to this endpoint (and, for nested or sorted collections, to that parent or sort) and cannot be reused elsewhere.
⌘I

